string	spec
real	U, B, V, R, I, Z
real	U0, B0, V0, R0, I0, Z0
real	wU, wB, wV, wR, wI, wZ
bool	log
struct	*fd

delete ("skyout", verify-)

s1 = mktemp ("tmp")
s2 = mktemp ("tmp")
s3 = mktemp ("tmp")

list = "moon.dat"
for (i=1; i<=5; i+=1) {
    j=fscan (list, wU, k, U)
    j=fscan (list, wB, k, B)
    j=fscan (list, wV, k, V)
    j=fscan (list, wR, k, R)
    j=fscan (list, wI, k, I)
    j=fscan (list, wZ, k, Z)
    if (i==1) {
	U0 = U
	B0 = B
	V0 = V
	R0 = R
	I0 = I
	Z0 = Z
    }
    U = log10 (U - U0 + 1e-20)
    B = log10 (B - B0 + 1e-20)
    V = log10 (V - V0 + 1e-20)
    R = log10 (R - R0 + 1e-20)
    I = log10 (I - I0 + 1e-20)
    Z = log10 (Z - Z0 + 1e-20)
    print (wU, U, > s1)
    print (wB, B, >> s1)
    print (wV, V, >> s1)
    print (wR, R, >> s1)
    print (wI, I, >> s1)
    print (wZ, Z, >> s1)
    rspectext (s1, s2, flux+, dtype="interp", > "dev$null")
    delete (s1, verify-)
    dispcor (s2, s3, linearize=yes, database="database",
	table="", w1=INDEF, w2=INDEF, dw=INDEF, nw=1024, log=no, flux=no,
	samedisp=no, global=no, ignoreaps=no, confirm=no, listonly=no,
	verbose=no, logfile="", > "dev$null")
    imdelete (s2, verify-)
    sarith (s3, "dex", "", s2, w1=INDEF, w2=INDEF, apertures="", bands="",
	beams="", apmodulus=0, reverse=no, ignoreaps=no, format="multispec",
	renumber=no, offset=0, clobber=no, merge=no, rebin=yes, errval=0.,
	verbose=no)
    imdelete (s3, verify-)

    spec = "spec" // k
    imdelete (spec, verify-)
    sarith ("uvredZen1", "+", s2, s3, w1=INDEF, w2=INDEF, apertures="",
	bands="", beams="", apmodulus=0, reverse=no, ignoreaps=no,
	format="multispec", renumber=no, offset=0, clobber=no, merge=no,
	rebin=yes, errval=0., verbose=no)
#specplot ("uvredZen1,"//s2//","//s3)
    imdelete (s2, verify-)
    imstack (s3, spec)
    imdelete (s3, verify-)
    j = k - 1
    hedit (spec, "crval2", j, add+, del-, verify-, show-, update+)

    listpix (spec, wcs="world", formats="%6.2f %2d", verbose=no, >> "skyout")
#    listpix (spec, wcs="world", > s1)
#    fd = s1
#    while (fscan (fd, x, y) != EOF)
#	printf ("%6.2f %2d %.4g\n", x, k, y, >> "skyout")
#    fd = ""
#    delete (s1, verify-)
}
list = ""
