# SCRIPTS -- Scripts defining NOAO Spectrographs

set	scripts = spectimedb$scripts/

set	sptimeKPNO = spectimedb$KPNO/

task	mars = scripts$mars.cl

set	wfmos = spectimedb$WFMOS/
task	wfmos = wfmos$wfmos.cl
task	wfmospars = wfmos$wfmospars.par

set	lblmos = spectimedb$LBLMOS/
task	lblmos = lblmos$lblmos.cl
task	lblmospars = lblmos$lblmospars.par

# GSMT

set	gsmt = spectimedb$GSMT/
set	gscripts = gsmt$scripts/
task	$gsmt.pkg = gscripts$gsmt.cl

# Helper scripts

task	sptemplate = scripts$sptemplate.cl
hidetask sptemplate

keep
