# SCRIPTS -- Scripts defining NOAO Spectrographs

set	scripts = spectimedb$scriptsV1.2/

set	sptimeKPNO = spectimedb$KPNO/
set	sptimeCTIO = spectimedb$CTIO/
set	sptimeGEM = spectimedb$GEMINI/

set	phoenix = spectimedb$Phoenix/
task	phoenix = scripts$phoenix.cl

set	ctrcspec = sptimeCTIO$Spectrographs/
task	ctrcspec = scripts$ctrcspec.cl

set	ct15mspec = sptimeCTIO$Spectrographs/
task	ct15mspec = scripts$ct15mspec.cl

set	kprcspec = sptimeKPNO$Spectrographs/
task	kprcspec = scripts$kprcspec.cl

set	goldcam = sptimeKPNO$Spectrographs/
task	goldcam = scripts$goldcam.cl

set	kp4mechelle = sptimeKPNO$Spectrographs/
task	kp4mechelle = scripts$kp4mechelle.cl

set	kphydra = sptimeKPNO$Spectrographs/
task	kphydra = scripts$kphydra.cl

set	cryocam = sptimeKPNO$Spectrographs/
task	cryocam = scripts$cryocam.cl

set	mars = sptimeKPNO$Spectrographs/
task	mars = scripts$mars.cl

set	coude = sptimeKPNO$Spectrographs/
task	coude = scripts$coude.cl

keep
