procedure generic ()

bool	ans			{prompt=" ", mode="q"}

begin

	# Type the introduction.
	clear
	type ("gscripts$intro.txt")

	# Do the setup?
	printf ("Do you want to do the generic spectrograph setup?")
	ans = yes
	if (ans) {
	    printf ("\n")
	    setup
	}

	# Review the parameters?
	type ("gscripts$specpars.txt")
	printf ("Do you want to review the spectrograph parameters?")
	ans = yes
	if (ans)
	    specpars

	# Review the observing and task parameters?
	type ("gscripts$sptime.txt")
	printf ("Do you want to review the sptime parameters?")
	ans = yes
	if (ans)
	    epar ("sptime")

	# Run the task?
	type ("gscripts$run.txt")
	printf ("Do you want to run the SPTIME task now?")
	ans = yes
	if (ans) {
	    clear
	    sptime
	}
end
